<?php

include("../Librerias/ConfNivel2.inc");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();   //Clase Sesin

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

$Formulario=new Formulario();

$FechaActual = date("Y-m-d");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

  <html xmlns="http://www.w3.org/1999/xhtml">

    <head> 

		<meta name="viewport" content="width=device-width, initial-scale=1, charset=utf-8">

		<link rel="stylesheet" type="text/css" href="<?php echo $Nivel ?>bootstrap/css/bootstrap.css">      

         <?php

	   if ($_JQuery == 1)

echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';

else

echo '<script src="'.$Nivel.'Librerias/fancy/lib/jquery.min.js"></script>';

	   ?>

        <script src="<?php echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>

         <link rel="stylesheet" type="text/css" href="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">

        <script type="text/javascript" language="javascript" src="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>

        <link rel="stylesheet" type="text/css" href="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">

        

         <link rel="stylesheet" href="<?php echo $Nivel ?>Librerias/multicombos/docsupport/prism.css">

	            <link rel="stylesheet" href="<?php echo $Nivel ?>Librerias/multicombos/chosen.css">

				 <style type="text/css" media="all">

				     .chosen-rtl .chosen-drop { left: -9000px; }

					 

                  </style>

		<title>Cat&aacute;logo de usuarios</title>

	</head>

    <body style="padding-top: 60px;">

<?php 

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}

include $Nivel."menu1.php";

echo '<br>';

if (!empty($_GET["UsuarioId"]))

$UsuarioId = $_GET["UsuarioId"];

else

$UsuarioId = 0;

//echo "Menu->".$_SESSION["S_Menu"][1][1]." tipo->".$_SESSION["Tipo"]." Sesion ->".$_SESSION["IdUsuario"]." <br>";

//echo "id->".$UsuarioId;

if (!$_SESSION["S_Menu"][1][1] || $_SESSION["Tipo"]!='A')



{  echo " entraste al primero"; 

   FAccesoDenegado('../');

    exit();

	

}



if ($UsuarioId and $_SESSION["IdUsuario"]==$UsuarioId)

{   echo " entraste al segundo";

   FAccesoDenegado('../');

    exit();

	

}





if ($UsuarioId)

   $RowUsuarios=$Conexion->MSelectRegistro("Select * from usuarios where IdUsuario=".$UsuarioId);

   //echo "Select * from Usuarios where IdUsuario=".$UsuarioId;

?>

<script src="../Scripts/md5.js"  type="text/javascript"></script>

<SCRIPT language="JavaScript" type="text/JavaScript">

//////////////////////////////////////////////////funcion de eliminaci�n

function Elimina(){

 var confirma;

 confirma=confirm("¿DESEA ELIMINAR AL USUARIO?");

 if (confirma){

  Formulario.Accion.value='Eliminar';

  Formulario.submit();

 }

}//Fin Elimina

//////////////////////////////////////////////////fin



/////////////////////////////////////////////////funcion de modificaci�n

function Modifica(){

 if (Formulario.Puesto.value=='' || Formulario.Nombre.value=='' || Formulario.Usuario.value=='' || Formulario.Password.value==''){

  alert("PROPORCIONE DATOS REQUERIDOS");

 } else {

  Formulario.Accion.value='Modificar';

  Formulario.submit();

 }

}//Fin Modifica

//////////////////////////////////////////////////fin



///////////////////////////////////////////////////funcion de insercion

function Guarda(){

 if (Formulario.Puesto.value=='' || Formulario.Usuario.value=='' || Formulario.Password.value=='' || Formulario.Nombre.value==''){

  alert("PROPORCIONE DATOS REQUERIDOS");

 } else {

  Formulario.Password.value = hex_md5(Formulario.Password.value);

  Formulario.Accion.value='Guardar';

  Formulario.submit();

 }

}//Fin Guarda

/////////////////////////////////////////////////fin

</script>

<div class="container">

 <div class="panel panel-primary sombras"> 

     <div class="titulo"><strong><i class="fa fa-user-plus" aria-hidden="true"></i>  Usuarios</strong></div>

<!-- <Legend>USUARIOS</Legend> -->

 <form class="form-horizontal" role="form" name="Formulario" method="Post" action="AccionUsuario.php">

  <div class="row" style="margin-left: 10px; margin-right: 10px;">

  <div class="form-group">

  <div class="form-group"></div>

  <label for="Nombre" class="col-lg-2 control-label">Nombre Completo *</label>

   <div class="col-lg-9">

   <?php $Formulario->MInputTexto("Nombre",$RowUsuarios["Nombre"],50,100,0,'Placeholder = "Escriba el nombre"',"form-control"); ?>

   </div>

  </div> 

 <div class="form-group">

 <label for="Puesto" class="col-lg-2 control-label">Puesto *</label>

  <div class="col-lg-9">

  <?php $Formulario->MInputTexto("Puesto",$RowUsuarios["Puesto"],50,100,0,'Placeholder = "Escriba el puesto"',"form-control"); ?>

  </div>

 </div>

  <div class="form-group"> 

   <label for="Usuario" class="col-lg-2 control-label">Usuario *</label>

    <div class="col-lg-9">

  <?php $Formulario->MInputTexto("Usuario",$RowUsuarios["Usuario"],32,32,0,'Placeholder = "Escriba el alias de usuario"',"form-control"); ?>

  </div>

  </div>

 <!--  <div class="form-group"> 

  <label for="IdDireccion" class="col-lg-2 control-label">&Aacute;rea *</label>

    <div class="col-lg-10">    

  <?php /*if ($RowUsuarios["IDDIRECCION"])

	    $Seleccionado=$RowUsuarios["IDDIRECCION"];					

     	$consulta_A = "SELECT IdDireccion, Direccion FROM Direcciones WHERE Estado = '1'";  

        $Formulario->ComboTabla("IdDireccion",$consulta_A,"Direccion","IdDireccion", $Conexion->Link,$Seleccionado,1,500, "",1,"Elige la Direcci&oacute;n",12);		

		//echo $consulta_A;

		*/?> 

       

  </div>

  </div> -->

  <div class="form-group"> 

  <input name="UsuarioId" type="hidden" value="<?php echo $UsuarioId; ?>">

        <input name="Accion" type="hidden" value=""> 

        

 <label for="Password" class="col-lg-2 control-label">Password *</label>

  <div class="col-lg-3">

    <?php $Formulario->MInputPassword("Password",15,$RowUsuarios["Password"],"form-control"); ?>   

   </div>   

  </div>

<div class="form-group">

 <label for="TipoUs" class="col-lg-2 control-label">Tipo *</label>



  <input type="radio" name="TipoUs" value="N" <?php if ($RowUsuarios["Tipo"]=='N' || (!$RowUsuarios["Tipo"])) echo ' checked '?>>Normal

      <input type="radio" name="TipoUs" value="L" <?php if (($RowUsuarios["Tipo"]=='L')) echo ' checked '?>>Lectura	  

 </div> 

 <div class="form-group" align="center">      

   <?php

    if ($UsuarioId)

	{

              $EventoM='Modifica()';

              $EventoE='Elimina()';

			  //echo "usID -> ".$UsuarioId;			  

			  FActualizacion('Usuarios',$UsuarioId,$Conexion->Link);

              echo "<BR>";

	          //$Formulario->MBotonScript("Actualizar","",$EventoM,"2");

			  $Formulario->MBotonScript('Actualizar','Actualizar',$EventoM,"btn btn-primary btn3d", "glyphicon glyphicon-pencil");

              echo '&nbsp;&nbsp;';

              //$Formulario->MBotonScript("Eliminar","",$EventoE,"3");

			  $Formulario->MBotonScript('Eliminar','Eliminar',$EventoE,"btn btn-danger btn3d","glyphicon glyphicon-remove");

              echo '<b>&nbsp;&nbsp;';

             // echo '<a href="Usuarios.php" class="btn btn-success"><i class="fa fa-plus" aria-hidden="true"></i>  NUEVO </a>&nbsp;&nbsp;';

			  $Formulario->MLinkBoton("Usuarios.php","Nuevo","btn btn-success btn3d","fa fa-plus");

              echo '<a href="AccesosUsuarios.php?UsuarioId='.$UsuarioId.'" class="btn btn-link btn-lg btn3d" role="button"> [ ACCESOS ]</a>&nbsp;&nbsp;';

              echo '<a href="ModulosUsuarios.php?UsuarioId='.$UsuarioId.'" class="btn btn-link btn-lg btn3d" role="button">[ M&Oacute;DULOS ]</a>&nbsp;&nbsp;';

              echo '<br /><a href="ModulosUsuariosAdmin.php?UsuarioId='.$UsuarioId.'" class="btn btn-link btn-lg btn3d" role="button">[ M&Oacute;DULOS COMO ADMINISTRADOR ]</a>&nbsp;&nbsp;';			  

			  echo '<a href="BitacoraUsuarios.php?UsuarioId='.$UsuarioId.'" class="btn btn-link btn-lg btn3d" role="button">[ BIT&Aacute;CORA ]</a>&nbsp;&nbsp;';

			 //  echo '<a href="UsuarioModulos.php?IdUsuario='.$UsuarioId.'">[ OPCIONES DE CURSO ]</a>&nbsp;&nbsp;';

     }

         else

         {

                 $EventoG='Guarda()';

				  //$Formulario->MBotonScript("Guardar",'Guardar',$EventoG,"btn btn-success","fa fa-floppy-o");

				 $Formulario->MBotonScript("Guardar",'Guardar',$EventoG,"btn btn-primary btn3d","fa fa-floppy-o");

                 echo '&nbsp;&nbsp;';

         }

                 //echo '<a href="BuscaUsuarios.php"><b>[ B�SQUEDA ]</b></a>';

   ?>  

  </div>

</div>

</form> 

 </div>

  <?php



   $Consulta="Select * from usuarios where Tipo <> 'A' order by Nombre"; 

   $Resultado=$Conexion->MVectorRegistro($Consulta);

   $Registros=mysqli_fetch_array($Resultado);

   $i=0;

   if ($Registros)

   {

?>

<div id="dynamic" align="center">

  <table width="100%" border="0" cellpadding="0" cellspacing="0" class="display" id="example">

    <thead>

  <tr height="25" bgcolor="<?php echo $_CCT_GRID?>" style="cursor:pointer;color:#FFF"> 

    <td width="37%"><div align="center"><strong>Nombre Completo</strong></div></td>

    <td width="21%"><div align="center"><strong>Usuario</strong></div></td>

    <td width="18%"><div align="center"><strong>Tipo</strong></div>      <div align="center"></div></td>

    <td width="13%"><div align="center"><strong>Acceso</strong></div></td>

    <td width="11%"><div align="center"><strong>M&oacute;dulos</strong></div></td>

  </tr>

   </thead>

    <tbody>

  <?php

     do{

	   $TipoUs=$Registros["Tipo"];

	   $Estado=$Registros["Estado"];	   

	   $_Tipo["A"]="Administrador";

	   $_Tipo["N"]="Normal";

	   $_Tipo["L"]="Lectura";	   	   

	   $_Estado["0"]="Inactivo";

	   $_Estado["1"]="Activo";	 	   

       echo '<tr bgcolor="'.$_CCC[$i].'"> 

		    <td><div align="left"><a href="Usuarios.php?UsuarioId='.$Registros["IdUsuario"].'">'.$Registros["Nombre"].'</a></div></td>

		    <td>'.$Registros["Usuario"].'</td>

		    <td><div align="center">'.$_Tipo[$TipoUs].'</div></td>

		    <td><div align="center"><a href="AccesosUsuarios.php?UsuarioId='.$Registros["IdUsuario"].'&BtnBuscar=1">>></a></td>						

		    <td><div align="center"><a href="ModulosUsuarios.php?UsuarioId='.$Registros["IdUsuario"].'">>></a></div></td>

		  </tr>';

		  $i=!$i;

      }while ($Registros=mysqli_fetch_array($Resultado));

	}

	else

	  echo '<div align="center"><b>SIN RESULTADOS</b></div>';

	  

?>

 </tbody>

    <tfoot>

      <tr>

        <td></td>

        <td></td>

        <td></td>

        <td></td>

        <td width="0%"></td>

      </tr>

    </tfoot>

  </table>

</div>

</div>

<div class="spacer"></div>

 <script type="text/javascript" language="javascript" src="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>    

<script type="text/javascript" language="javascript" class="init">

$(document).ready(function() {

	$('#example').dataTable( {

        "pagingType": "simple_numbers"

    } );

	

} );



</script> 

    <script src="<?php echo $Nivel?>Librerias/multicombos/docsupport/prism.js" type="text/javascript" charset="utf-8"></script>        

    <script src="<?php echo $Nivel?>Librerias/multicombos/chosen.jquery.js" type="text/javascript"></script>

<?php //llamamos a las funciones para las animaciones

	echo "<script type='text/javascript'>";

	echo "var config = {

      '.chosen-select'           : {},

      '.chosen-select-deselect'  : {allow_single_deselect:true},

      '.chosen-select-no-single' : {disable_search_threshold:10},

      '.chosen-select-no-results': {no_results_text:'?Sin resultados!'},

      '.chosen-select-width'     : {width:'95%'}

    }

	for (var selector in config) {

      $(selector).chosen(config[selector]);

    }";

	echo '</script>';

	?>

</body>